<?php
/**
 * File for the class which returns the class map definition
 * @package DLParser
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20131013-01
 * @date 2013-11-02
 */
/**
 * Class which returns the class map definition by the static method DLParserClassMap::classMap()
 * @package DLParser
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20131013-01
 * @date 2013-11-02
 */
class DLParserClassMap
{
	/**
	 * This method returns the array containing the mapping between WSDL structs and generated classes
	 * This array is sent to the SoapClient when calling the WS
	 * @return array
	 */
	final public static function classMap()
	{
		return array (
  'ArrayOfComplementaryService' => 'DLParserStructArrayOfComplementaryService',
  'ComplementaryService' => 'DLParserStructComplementaryService',
  'DriverLicense' => 'DLParserStructDriverLicense',
  'Echo' => 'DLParserStructEcho',
  'EchoResponse' => 'DLParserStructEchoResponse',
  'ParseBase64AsciiString' => 'DLParserStructParseBase64AsciiString',
  'ParseBase64AsciiStringResponse' => 'DLParserStructParseBase64AsciiStringResponse',
  'ParseBase64Binary' => 'DLParserStructParseBase64Binary',
  'ParseBase64BinaryResponse' => 'DLParserStructParseBase64BinaryResponse',
  'ParseBase64Utf16String' => 'DLParserStructParseBase64Utf16String',
  'ParseBase64Utf16StringResponse' => 'DLParserStructParseBase64Utf16StringResponse',
  'ParseString' => 'DLParserStructParseString',
  'ParseStringResponse' => 'DLParserStructParseStringResponse',
  'Response' => 'DLParserStructResponse',
);
	}
}
?>