<?php
/**
 * File for class DLParserServiceEcho
 * @package DLParser
 * @subpackage Services
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20131013-01
 * @date 2013-11-02
 */
/**
 * This class stands for DLParserServiceEcho originally named Echo
 * @package DLParser
 * @subpackage Services
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20131013-01
 * @date 2013-11-02
 */
class DLParserServiceEcho extends DLParserWsdlClass
{
	/**
	 * Method to call the operation originally named Echo
	 * @uses DLParserWsdlClass::getSoapClient()
	 * @uses DLParserWsdlClass::setResult()
	 * @uses DLParserWsdlClass::getResult()
	 * @uses DLParserWsdlClass::saveLastError()
	 * @uses DLParserStructEcho::getBase64AsciiEncodedString()
	 * @param DLParserStructEcho $_dLParserStructEcho
	 * @return DLParserStructEchoResponse
	 */
	public function _Echo(DLParserStructEcho $_dLParserStructEcho)
	{
		try
		{
			$this->setResult(new DLParserStructEchoResponse(self::getSoapClient()->Echo(array('base64AsciiEncodedString'=>$_dLParserStructEcho->getBase64AsciiEncodedString()))));
		}
		catch(SoapFault $soapFault)
		{
			return !$this->saveLastError(__METHOD__,$soapFault);
		}
		return $this->getResult();
	}
	/**
	 * Returns the result
	 * @see DLParserWsdlClass::getResult()
	 * @return DLParserStructEchoResponse
	 */
	public function getResult()
	{
		return parent::getResult();
	}
	/**
	 * Method returning the class name
	 * @return string __CLASS__
	 */
	public function __toString()
	{
		return __CLASS__;
	}
}
?>