<?php
/**
 * File for class DLParserServiceParse
 * @package DLParser
 * @subpackage Services
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20131013-01
 * @date 2013-11-02
 */
/**
 * This class stands for DLParserServiceParse originally named Parse
 * @package DLParser
 * @subpackage Services
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20131013-01
 * @date 2013-11-02
 */
class DLParserServiceParse extends DLParserWsdlClass
{
	/**
	 * Method to call the operation originally named ParseBase64Utf16String
	 * @uses DLParserWsdlClass::getSoapClient()
	 * @uses DLParserWsdlClass::setResult()
	 * @uses DLParserWsdlClass::getResult()
	 * @uses DLParserWsdlClass::saveLastError()
	 * @uses DLParserStructParseBase64Utf16String::getAuthKey()
	 * @uses DLParserStructParseBase64Utf16String::getData()
	 * @uses DLParserStructParseBase64Utf16String::getTerminalId()
	 * @param DLParserStructParseBase64Utf16String $_dLParserStructParseBase64Utf16String
	 * @return DLParserStructParseBase64Utf16StringResponse
	 */
	public function ParseBase64Utf16String(DLParserStructParseBase64Utf16String $_dLParserStructParseBase64Utf16String)
	{
		try
		{
			$this->setResult(new DLParserStructParseBase64Utf16StringResponse(self::getSoapClient()->ParseBase64Utf16String(array('authKey'=>$_dLParserStructParseBase64Utf16String->getAuthKey(),'data'=>$_dLParserStructParseBase64Utf16String->getData(),'terminalId'=>$_dLParserStructParseBase64Utf16String->getTerminalId()))));
		}
		catch(SoapFault $soapFault)
		{
			return !$this->saveLastError(__METHOD__,$soapFault);
		}
		return $this->getResult();
	}
	/**
	 * Method to call the operation originally named ParseBase64AsciiString
	 * @uses DLParserWsdlClass::getSoapClient()
	 * @uses DLParserWsdlClass::setResult()
	 * @uses DLParserWsdlClass::getResult()
	 * @uses DLParserWsdlClass::saveLastError()
	 * @uses DLParserStructParseBase64AsciiString::getAuthKey()
	 * @uses DLParserStructParseBase64AsciiString::getData()
	 * @uses DLParserStructParseBase64AsciiString::getTerminalId()
	 * @param DLParserStructParseBase64AsciiString $_dLParserStructParseBase64AsciiString
	 * @return DLParserStructParseBase64AsciiStringResponse
	 */
	public function ParseBase64AsciiString(DLParserStructParseBase64AsciiString $_dLParserStructParseBase64AsciiString)
	{
		try
		{
			$this->setResult(new DLParserStructParseBase64AsciiStringResponse(self::getSoapClient()->ParseBase64AsciiString(array('authKey'=>$_dLParserStructParseBase64AsciiString->getAuthKey(),'data'=>$_dLParserStructParseBase64AsciiString->getData(),'terminalId'=>$_dLParserStructParseBase64AsciiString->getTerminalId()))));
		}
		catch(SoapFault $soapFault)
		{
			return !$this->saveLastError(__METHOD__,$soapFault);
		}
		return $this->getResult();
	}
	/**
	 * Method to call the operation originally named ParseBase64Binary
	 * @uses DLParserWsdlClass::getSoapClient()
	 * @uses DLParserWsdlClass::setResult()
	 * @uses DLParserWsdlClass::getResult()
	 * @uses DLParserWsdlClass::saveLastError()
	 * @uses DLParserStructParseBase64Binary::getAuthKey()
	 * @uses DLParserStructParseBase64Binary::getData()
	 * @uses DLParserStructParseBase64Binary::getTerminalId()
	 * @param DLParserStructParseBase64Binary $_dLParserStructParseBase64Binary
	 * @return DLParserStructParseBase64BinaryResponse
	 */
	public function ParseBase64Binary(DLParserStructParseBase64Binary $_dLParserStructParseBase64Binary)
	{
		try
		{
			$this->setResult(new DLParserStructParseBase64BinaryResponse(self::getSoapClient()->ParseBase64Binary(array('authKey'=>$_dLParserStructParseBase64Binary->getAuthKey(),'data'=>$_dLParserStructParseBase64Binary->getData(),'terminalId'=>$_dLParserStructParseBase64Binary->getTerminalId()))));
		}
		catch(SoapFault $soapFault)
		{
			return !$this->saveLastError(__METHOD__,$soapFault);
		}
		return $this->getResult();
	}
	/**
	 * Method to call the operation originally named ParseString
	 * @uses DLParserWsdlClass::getSoapClient()
	 * @uses DLParserWsdlClass::setResult()
	 * @uses DLParserWsdlClass::getResult()
	 * @uses DLParserWsdlClass::saveLastError()
	 * @uses DLParserStructParseString::getAuthKey()
	 * @uses DLParserStructParseString::getLicenseText()
	 * @uses DLParserStructParseString::getTerminalId()
	 * @param DLParserStructParseString $_dLParserStructParseString
	 * @return DLParserStructParseStringResponse
	 */
	public function ParseString(DLParserStructParseString $_dLParserStructParseString)
	{
		try
		{
			$this->setResult(new DLParserStructParseStringResponse(self::getSoapClient()->ParseString(array('authKey'=>$_dLParserStructParseString->getAuthKey(),'licenseText'=>$_dLParserStructParseString->getLicenseText(),'terminalId'=>$_dLParserStructParseString->getTerminalId()))));
		}
		catch(SoapFault $soapFault)
		{
			return !$this->saveLastError(__METHOD__,$soapFault);
		}
		return $this->getResult();
	}
	/**
	 * Returns the result
	 * @see DLParserWsdlClass::getResult()
	 * @return DLParserStructParseBase64AsciiStringResponse|DLParserStructParseBase64BinaryResponse|DLParserStructParseBase64Utf16StringResponse|DLParserStructParseStringResponse
	 */
	public function getResult()
	{
		return parent::getResult();
	}
	/**
	 * Method returning the class name
	 * @return string __CLASS__
	 */
	public function __toString()
	{
		return __CLASS__;
	}
}
?>