<?php
/**
 * File for class DLParserStructResponse
 * @package DLParser
 * @subpackage Structs
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20131013-01
 * @date 2013-11-02
 */
/**
 * This class stands for DLParserStructResponse originally named Response
 * Meta informations extracted from the WSDL
 * - from schema : {@link http://app.idware.net/dlp-ws/DriverLicenseParser.svc?xsd=xsd0}
 * @package DLParser
 * @subpackage Structs
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20131013-01
 * @date 2013-11-02
 */
class DLParserStructResponse extends DLParserWsdlClass
{
	/**
	 * The ComplementaryServices
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var DLParserStructArrayOfComplementaryService
	 */
	public $ComplementaryServices;
	/**
	 * The DriverLicense
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var DLParserStructDriverLicense
	 */
	public $DriverLicense;
	/**
	 * The ErrorMessage
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $ErrorMessage;
	/**
	 * The Success
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * @var boolean
	 */
	public $Success;
	/**
	 * Constructor method for Response
	 * @see parent::__construct()
	 * @param DLParserStructArrayOfComplementaryService $_complementaryServices
	 * @param DLParserStructDriverLicense $_driverLicense
	 * @param string $_errorMessage
	 * @param boolean $_success
	 * @return DLParserStructResponse
	 */
	public function __construct($_complementaryServices = NULL,$_driverLicense = NULL,$_errorMessage = NULL,$_success = NULL)
	{
		parent::__construct(array('ComplementaryServices'=>($_complementaryServices instanceof DLParserStructArrayOfComplementaryService)?$_complementaryServices:new DLParserStructArrayOfComplementaryService($_complementaryServices),'DriverLicense'=>$_driverLicense,'ErrorMessage'=>$_errorMessage,'Success'=>$_success));
	}
	/**
	 * Get ComplementaryServices value
	 * @return DLParserStructArrayOfComplementaryService|null
	 */
	public function getComplementaryServices()
	{
		return $this->ComplementaryServices;
	}
	/**
	 * Set ComplementaryServices value
	 * @param DLParserStructArrayOfComplementaryService $_complementaryServices the ComplementaryServices
	 * @return DLParserStructArrayOfComplementaryService
	 */
	public function setComplementaryServices($_complementaryServices)
	{
		return ($this->ComplementaryServices = $_complementaryServices);
	}
	/**
	 * Get DriverLicense value
	 * @return DLParserStructDriverLicense|null
	 */
	public function getDriverLicense()
	{
		return $this->DriverLicense;
	}
	/**
	 * Set DriverLicense value
	 * @param DLParserStructDriverLicense $_driverLicense the DriverLicense
	 * @return DLParserStructDriverLicense
	 */
	public function setDriverLicense($_driverLicense)
	{
		return ($this->DriverLicense = $_driverLicense);
	}
	/**
	 * Get ErrorMessage value
	 * @return string|null
	 */
	public function getErrorMessage()
	{
		return $this->ErrorMessage;
	}
	/**
	 * Set ErrorMessage value
	 * @param string $_errorMessage the ErrorMessage
	 * @return string
	 */
	public function setErrorMessage($_errorMessage)
	{
		return ($this->ErrorMessage = $_errorMessage);
	}
	/**
	 * Get Success value
	 * @return boolean|null
	 */
	public function getSuccess()
	{
		return $this->Success;
	}
	/**
	 * Set Success value
	 * @param boolean $_success the Success
	 * @return boolean
	 */
	public function setSuccess($_success)
	{
		return ($this->Success = $_success);
	}
	/**
	 * Method called when an object has been exported with var_export() functions
	 * It allows to return an object instantiated with the values
	 * @see DLParserWsdlClass::__set_state()
	 * @uses DLParserWsdlClass::__set_state()
	 * @param array $_array the exported values
	 * @return DLParserStructResponse
	 */
	public static function __set_state(array $_array,$_className = __CLASS__)
	{
		return parent::__set_state($_array,$_className);
	}
	/**
	 * Method returning the class name
	 * @return string __CLASS__
	 */
	public function __toString()
	{
		return __CLASS__;
	}
}
?>