<?php
/**
 * Test with DLParser
 * @package DLParser
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20131013-01
 * @date 2013-11-02
 */
ini_set('memory_limit','512M');
ini_set('display_errors', true);
error_reporting(-1);
/**
 * Load autoload
 */
require_once dirname(__FILE__) . '/DLParserAutoload.php';
/**
 * DLParser Informations
 */
define('DLPARSER_WSDL_URL','http://app.idware.net/dlp-ws/DriverLicenseParser.svc?wsdl');
define('DLPARSER_USER_LOGIN','');
define('DLPARSER_USER_PASSWORD','');
/**
 * Wsdl instanciation infos
 */
$wsdl = array();
$wsdl[DLParserWsdlClass::WSDL_URL] = DLPARSER_WSDL_URL;
$wsdl[DLParserWsdlClass::WSDL_CACHE_WSDL] = WSDL_CACHE_NONE;
$wsdl[DLParserWsdlClass::WSDL_TRACE] = true;
if(DLPARSER_USER_LOGIN !== '')
	$wsdl[DLParserWsdlClass::WSDL_LOGIN] = DLPARSER_USER_LOGIN;
if(DLPARSER_USER_PASSWORD !== '')
	$wsdl[DLParserWsdlClass::WSDL_PASSWD] = DLPARSER_USER_PASSWORD;
// etc....
/**
 * Examples
 */


/**********************************
 * Example for DLParserServiceParse
 */
$dLParserServiceParse = new DLParserServiceParse($wsdl);
// sample call for DLParserServiceParse::ParseBase64Utf16String()
if($dLParserServiceParse->ParseBase64Utf16String(new DLParserStructParseBase64Utf16String(/*** update parameters list ***/)))
	print_r($dLParserServiceParse->getResult());
else
	print_r($dLParserServiceParse->getLastError());
// sample call for DLParserServiceParse::ParseBase64AsciiString()
if($dLParserServiceParse->ParseBase64AsciiString(new DLParserStructParseBase64AsciiString(/*** update parameters list ***/)))
	print_r($dLParserServiceParse->getResult());
else
	print_r($dLParserServiceParse->getLastError());
// sample call for DLParserServiceParse::ParseBase64Binary()
if($dLParserServiceParse->ParseBase64Binary(new DLParserStructParseBase64Binary(/*** update parameters list ***/)))
	print_r($dLParserServiceParse->getResult());
else
	print_r($dLParserServiceParse->getLastError());
// sample call for DLParserServiceParse::ParseString()
if($dLParserServiceParse->ParseString(new DLParserStructParseString(/*** update parameters list ***/)))
	print_r($dLParserServiceParse->getResult());
else
	print_r($dLParserServiceParse->getLastError());

/*********************************
 * Example for DLParserServiceEcho
 */
$dLParserServiceEcho = new DLParserServiceEcho($wsdl);
// sample call for DLParserServiceEcho::_Echo()
if($dLParserServiceEcho->_Echo(new DLParserStructEcho(/*** update parameters list ***/)))
	print_r($dLParserServiceEcho->getResult());
else
	print_r($dLParserServiceEcho->getLastError());
?>